Bug 1487383 - cannot do build
Summary: cannot do build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 18:20 UTC by Tomasz Kłoczko
Modified: 2017-09-19 21:19 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.29-3.fc27 fedpkg-1.29-3.fc26 fedpkg-1.29-3.fc25 fedpkg-1.29-3.el6 fedpkg-1.29-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-08 16:21:45 UTC


Attachments (Terms of Use)

Description Tomasz Kłoczko 2017-08-31 18:20:22 UTC
I'm xml-security-c package maintainer I've been able to push my changes to xml-security-c gt repo and merge the same changes to f27 branch.
However I cannot do "fedpkg buid".

[tkloczko@domek xml-security-c]$ fedpkg build
Could not execute build: Could not login to http://localhost/kojihub


Fragment from fedora-devel IRC chat:

kloczek	hi, Guys I cannot do build using fedpkg
[tkloczko@domek xml-security-c]$ fedpkg build
Could not execute build: Could not login to http://localhost/kojihub
misc	kloczek: mhh, how did you set it up ?
kloczek	any clues what it wrong with what I'm trying to do?
I've cloned repo using my fedora account, done my changes and pushed it
nothing more
misc	yeah, but fedpkg, that's on what distro, etc, etc
kloczek	misc: I dont' see anything in fedpk about setup :/
fedora rawhide
misc: so what I need to setup?
misc	kloczek: I suspect nothing,
let me try here
kloczek: seems ok here :/
kloczek	misc: so why on installed fedpk without any other changes it tries to talk with koji on localhost? :/
misc	kloczek: can you verify /etc/koji.conf ?
kloczek	I have no such file
[root@domek part]# rpm -qf /etc/koji.conf
error: file /etc/koji.conf: No such file or directory
misc	mhh maybe that's not it
kloczek	[root@domek part]# ls -l /etc/koji.conf
ls: cannot access '/etc/koji.conf': No such file or directory
misc	kloczek: does it work if you install the rpm ?
(cause here, on a RHEL7, fedpkg pull koji)
kloczek	I have everything installed from fedora rawhide rpm packages
misc	mhh indeed on F26, koji is not pulled
kloczek: I suspect that's a bug
kloczek: so you should fill it
kloczek	against fedpkg?
misc	in the mean time, i guess installing fedora-packager should pull what is needed
kloczek: yeah
kloczek	ok will do it :)
thx :)

Comment 1 Tomasz Kłoczko 2017-08-31 18:51:04 UTC
I've been told to install fedora-packager and this caused install:

Installed:
  fedora-packager.noarch 0.6.0.1-3.fc27    koji.noarch 1.13.0-4.fc27             libyubikey.x86_64 1.13-5.fc27                   packagedb-cli.noarch 2.14.1-3.fc27     
  python-bugzilla-cli.noarch 2.1.0-3.fc28  python2-bugzilla.noarch 2.1.0-3.fc28  python2-magic.noarch 5.31-10.fc28               python2-offtrac.noarch 0.1.0-11.fc28   
  python2-pyusb.noarch 1.0.0-6.fc28        python2-yubico.noarch 1.3.2-7.fc28    python3-bugzilla.noarch 2.1.0-3.fc28            python3-dateutil.noarch 1:2.6.0-4.fc27 
  python3-kerberos.x86_64 1.2.5-5.fc27     python3-koji.noarch 1.13.0-4.fc27     python3-requests-kerberos.noarch 0.10.0-5.fc27  ykpers.x86_64 1.18.0-4.fc27            


Seems like fedpkg has some missing dependencies.

After execute kinit now I've been able to start build.

Comment 2 cqi 2017-09-01 01:04:43 UTC
Hi Tomasz, thanks for reporting this. I've started to fix this.

Comment 3 Fedora Update System 2017-09-01 06:03:32 UTC
fedpkg-1.29-3.fc25 rpkg-1.50-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 4 Fedora Update System 2017-09-01 06:03:43 UTC
fedpkg-1.29-3.fc25 rpkg-1.50-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 5 Fedora Update System 2017-09-01 06:06:19 UTC
fedpkg-1.29-3.fc26 rpkg-1.50-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01ce250209

Comment 6 Fedora Update System 2017-09-01 06:07:44 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 7 Fedora Update System 2017-09-01 06:07:51 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 8 Fedora Update System 2017-09-01 06:09:48 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 9 Fedora Update System 2017-09-01 06:09:55 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 10 Fedora Update System 2017-09-01 06:12:01 UTC
fedpkg-1.29-3.fc27 rpkg-1.50-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 11 Fedora Update System 2017-09-03 04:47:27 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 12 Fedora Update System 2017-09-03 04:50:10 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 13 Fedora Update System 2017-09-03 05:23:14 UTC
fedpkg-1.29-3.fc26, rpkg-1.50-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-01ce250209

Comment 14 Fedora Update System 2017-09-03 06:23:45 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 15 Fedora Update System 2017-09-03 19:53:40 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 16 Fedora Update System 2017-09-04 06:52:38 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 17 Fedora Update System 2017-09-04 06:53:15 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 18 Fedora Update System 2017-09-04 16:17:29 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-09-04 22:17:31 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 20 Fedora Update System 2017-09-04 22:17:35 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 21 Fedora Update System 2017-09-08 16:21:45 UTC
fedpkg-1.29-3.fc26, rpkg-1.50-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-09-12 10:52:03 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-09-19 21:16:20 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-09-19 21:19:34 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.